PTHREAD_GETCPUCLOCKID(3)

NAME
pthread_getcpuclockid - get a clock measuring thread CPU time

SYNOPSIS
#include <pthread.h>
int
pthread_getcpuclockid(pthread_t thread, clockid_t *clock_id);

DESCRIPTION
The pthread_getcpuclockid() function allows the calling thread to get a clockid_t value that measures the time spent by CPUs running in user or kernel mode on behalf of the thread specified by thread.

RETURN VALUES
If successful, pthread_getcpuclockid() will return zero. Otherwise an error number will be returned to indicate the error.

ERRORS
pthread_getcpuclockid() will fail if:

[ESRCH]
    thread is an invalid thread ID.

SEE ALSO
clock_gettime(2), clock_getcpuclockid(3)

STANDARDS
The pthread_getcpuclockid() function conforms to p1003.1-2008.

HISTORY
The pthread_getcpuclockid() function first appeared in p1003.1d-99 and has been available since OpenBSD 5.4.